br

babelify-require

Apply babel to a module and then require it.

Showing:

Popularity

Downloads/wk

1

GitHub Stars

1

Maintenance

Last Commit

6yrs ago

Contributors

1

Package

Dependencies

5

Size (min+gzip)

191.2KB

License

MIT

Type Definitions

Tree-Shakeable

No?

Categories

Readme

babelify-require

Apply babel to a module and then require it.

Travis Build Status NPM module NPM downloads

Installation

npm install --save babelify-require

Usage

  const babelifyRequire = require('babelify-require');
  const result = await babelifyRequire('./es6-module.js');
  //result === module exports

License

The MIT License (MIT)

Copyright (c) 2015 parro-it

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100